﻿Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms

<System.ComponentModel.DesignerCategory("Code")>
Public Class ButtonRtb : Inherits RichTextBox
	Protected Overrides Sub OnHandleCreated(e As EventArgs)
		MyBase.OnHandleCreated(e)
		Dim w = Height - 5
		Dim rct = New Rectangle(Width - Height, (Height - w) \ 2 - 2, w, w)
		_Button = New Button With {.Bounds = rct, .Anchor = AnchorStyles.Right, .Text = "...", .Cursor = Cursors.Arrow}
		If Parent IsNot Nothing Then _Button.BackColor = Parent.BackColor
		Me.Controls.Add(_Button)
		Me.RightMargin = Controls(0).Left - 4
	End Sub

	Private _Button As Button
	<Browsable(True)>
	<DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)>
	Public ReadOnly Property Button() As Button
		Get
			Return _Button
		End Get
	End Property

	Protected Overrides Sub OnSizeChanged(e As EventArgs)
		MyBase.OnSizeChanged(e)
		If Controls.Count > 0 Then Me.RightMargin = Controls(0).Left - 4
	End Sub
End Class
